Subject: Fwd: [ipfix-protocol] Template Set -> Flow Template Set AND Template Record -> Flow Template Record?

From: Brian Trammell <[email-masked]>
Date: Thu, 3 Mar 2005 14:16:49 -0500

On Mar 3, 2005, at 12:00 PM, Benoit Claise wrote:

> Dear all,
>
> While reviewing [IPFIX-PROTO] with Thomas Dietz, Thomas had the 
> following suggestion.
> Why not rename the following two terms?
> 	Template Set -> Flow Template Set
> 	Template Record -> Flow Template Record

<snip>

> My view is: even if IPFIX was developed with the notion of flow in 
> mind, the templates and options templates are specified in a generic 
> way, allowing the export of any information elements: even non-flow 
> related So why limit the Template Set to Flow Template Set.
> Moreover, I'm somehow reluctant to do this terminology change during 
> the last-call, since we've been working with those terms for a long 
> time. However, as draft editor, I will follow the mailing list 
> consensus.
> Feedback?

I'll unlurk for a moment to agree with you... Here at CERT, we're 
planning on using IPFIX as the basis for network event data transport 
and storage system, and flows are only one type of event we'll be 
supporting.

- Brian

--
Brian H. Trammell / MTS, CERT/NetSA / <[email-masked]> / 412.268.9748

---

From: "Thomas Dietz" <[email-masked]>
Date: Fri, 4 Mar 2005 13:31:13 +0100

Hi Benoit,

I have no objections to use Data Records instead of Flow Data Records and
maybe stating that Option Data Records look the same as Data Records and are
only interpreted differently according to their template. So we would leave
Template Records and Option Template Records in place and achieve also a
consistent scheme.

Best Regards,

Thomas

-----Original Message-----
From: majordomo listserver [mailto:[email-masked]] On Behalf Of
Benoit Claise
Sent: Friday, March 04, 2005 12:32 PM
To: Sebastian Zander
Cc: Juergen Quittek; [email-masked]
Subject: Re: [ipfix-protocol] Template Set -> Flow Template Set AND Template
Record -> Flow Template Record?

Hi Sebastian,

> Hi Benoit,
>
> i don't think it's a good idea to replace 'flow data record' with data
> record. afterall ipfix is about transporting flow data. data record is
> already used as a more general term for flow data records and
> options data records (see Figure A). if you change 'flow data record' to
> 'data record' 'options data record' would also be a data record and it
> is not clear anymore what data record means.

I see an advantage in having the generic term "Data Record" because:
from a Collecting Process point of view, there is no differences between 
an Options Data Record and an Flow Data Record.
It's only whenever you analyze the associate (Options) Template Record 
that you know whether this is an Options Data Record or an Flow Data Record

>
> i like the idea to use more general terms and more specific terms as
> appropriate and to describe their relation as it is done in Figure A.
>
> there are some inconsistencies in the terminology section:
> - 'data record' is not defined as far as i can see (but used in Figure A)
>   (i noticed the difference of using upper and lower case words but it is
>    very confusing in my opinion.)

It would have to be if we use the term in Figure A.
I would see a definition such as:

Data Record 
   A Data Record is a record that contains values of the parameters 
   corresponding to a Template Record or an Options Template Record.  

    +------------------+---------------------------------------------+ 
    |                  |                    Contents                 | 
    |                  +--------------------+------------------------+ 
    |       Set        |       Template     |        Record          | 
    +------------------+--------------------+------------------------+ 
    |   Data Set       |          /         |     Data Record(s)     | 
    +------------------+--------------------+------------------------+ 
    |   Template Set   | Template Record(s) |           /            | 
    +------------------+--------------------+------------------------+ 
    | Options Template | Options Template   |           /            | 
    |       Set        |     Record(s)      |                        | 
    +------------------+--------------------+------------------------+ 

> - 'Template Set' and 'Template Records(s)' should change to 'Flow 
> Template
>   Set' and 'Flow Template Records(s)' IMO as pointed out by Thomas (here
>   is the problem i mentioned earlier: a template record is a template 
> record
>   but an option template record is also a template record according to
>   the table, which is confusing)

Yes, but a special Template Record. Isn't it the case?

> - is there a reason why there is only Data Set and not Flow Data Set and
>   Options Data Set? can't i have separated sets in the ipfix messages?

See my explanation before: from a coding point of view, there are no 
differences between what you call "Flow Data Set" and
  "Options Data Set."

>
> would be good to alphabetically sort the terminology at the end.

When publishing RFC3954, I had the specific comment from IESG that I 
should group the terms in a logical order, to increase the readability
As the terminology is almost similar, I think it applies to this draft also.

Regards, Benoit.

>
> Cheers,
>
> Sebastian
>
> Benoit Claise wrote:
>
>> Juergen,
>>
>>> Benoit,
>>>
>>> I support Thomas's proposal.
>>>
>>> So far we have
>>>
>>> Flow Data Record
>>> Option data Record
>>> Template Record
>>> Option template Record
>>>
>>> So, for the Data records we have one with prefix "Flow"
>>> and one with prefix "Option".
>>>
>>> For the Template record we have one without prefix
>>> and one with prefix "Option".
>>>
>>> The two ones with prefix "Option" correspond to each other:
>>> "Option Data Record" and "Option Template Record".
>>>
>>> The other two also correspond to each other but do not share
>>> the same prefix: "Flow Data Record" and "Template Record".
>>>
>>> This seems to be inconsistent and Thomas's suggestion would
>>> make the terminology consistent.
>>>
>>> Another advantage of Thomas's termonology would be that you
>>> can use the term "template records" for addressing both,
>>> flow template records and option template records (as you can
>>> do already for the data records.
>>>
>>>
>>> Below you argue that IPFIX is basically about flows and
>>> therefore "Template Record" does not need a prefix "Flow".
>>> Following this line of argumentation we can also achieve
>>> consistency of the terminology by renaming "Flow Data Record"
>>> into "Data Record".
>>
>>
>>
>> Replacing "Flow Data Record" by "Data Record"  is a good idea that 
>> will bring consistency of the terminology.
>> I support this idea.
>>
>> Regards, Benoit.
>>
>>>
>>> Thanks,
>>>
>>>    Juergen
>>
>>
>>
>>
>>
>> -- 
>> Help        mailto:[email-masked] and say "help" in 
>> message body
>> Unsubscribe mailto:[email-masked] and say
>> "unsubscribe ipfix" in message body
>> Archive     http://ipfix.doit.wisc.edu/archive/
>>
>

--
Help        mailto:[email-masked] and say "help" in message
body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/